Bug 825352 - [abrt] gjs-1.32.0-1.fc17: Process /usr/bin/gjs-console was killed by signal 11 (SIGSEGV)
[abrt] gjs-1.32.0-1.fc17: Process /usr/bin/gjs-console was killed by signal 1...
Status: CLOSED WONTFIX
Product: Fedora
Classification: Fedora
Component: gjs (Show other bugs)
17
x86_64 Unspecified
unspecified Severity unspecified
: ---
: ---
Assigned To: Colin Walters
Fedora Extras Quality Assurance
abrt_hash:1da6bbdd5b530fa27b2f002169e...
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2012-05-25 15:00 EDT by Stijn Hoop
Modified: 2013-08-01 09:07 EDT (History)
5 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2013-08-01 09:07:12 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
File: core_backtrace (6.89 KB, text/plain)
2012-05-25 15:00 EDT, Stijn Hoop
no flags Details
File: backtrace (97.28 KB, text/plain)
2012-05-25 15:00 EDT, Stijn Hoop
no flags Details
File: maps (75.29 KB, text/plain)
2012-05-25 15:00 EDT, Stijn Hoop
no flags Details
File: dso_list (17.01 KB, text/plain)
2012-05-25 15:00 EDT, Stijn Hoop
no flags Details
File: build_ids (5.89 KB, text/plain)
2012-05-25 15:00 EDT, Stijn Hoop
no flags Details

  None (edit)
Description Stijn Hoop 2012-05-25 15:00:30 EDT
libreport version: 2.0.10
abrt_version:   2.0.10
backtrace_rating: 4
cmdline:        /usr/bin/gjs-console -I /usr/share/gnome-documents/js -c 'const Main = imports.main; Main.start();'
comment:        Tried to open a google document in Documents
crash_function: gtk_distribute_natural_allocation
executable:     /usr/bin/gjs-console
kernel:         3.3.4-5.fc17.x86_64
pid:            3601
pwd:            /home/stijn
remote_result:  NOTFOUND
time:           Fri 25 May 2012 08:57:33 PM CEST
uid:            1000
username:       stijn

backtrace:      Text file, 99615 bytes
build_ids:      Text file, 6027 bytes
core_backtrace: Text file, 7058 bytes
dso_list:       Text file, 17417 bytes
maps:           Text file, 77092 bytes

cgroup:
:9:perf_event:/
:8:blkio:/
:7:net_cls:/
:6:freezer:/
:5:devices:/
:4:memory:/
:3:cpuacct,cpu:/
:2:cpuset:/
:1:name=systemd:/user/stijn/2

environ:
:XDG_VTNR=1
:XDG_SESSION_ID=2
:HOSTNAME=tangaloor.kzp.sandcat.nl
:GIO_LAUNCHED_DESKTOP_FILE_PID=3599
:IMSETTINGS_INTEGRATE_DESKTOP=yes
:GPG_AGENT_INFO=/run/user/stijn/keyring-eePpj7/gpg:0:1
:DESKTOP_STARTUP_ID=gnome-shell-1489-tangaloor.kzp.sandcat.nl-gnome-documents-11_TIME3943752
:SHELL=/bin/zsh
:TERM=dumb
:HISTSIZE=1000
:GJS_DEBUG_OUTPUT=stderr
:GNOME_KEYRING_CONTROL=/run/user/stijn/keyring-eePpj7
:'GJS_DEBUG_TOPICS=JS ERROR;JS LOG'
:QT_GRAPHICSSYSTEM_CHECKED=1
:IMSETTINGS_MODULE=none
:USER=stijn
:LD_LIBRARY_PATH=/usr/lib64/gnome-documents
:SSH_AUTH_SOCK=/run/user/stijn/keyring-eePpj7/ssh
:GJS_PATH=/usr/share/gnome-documents/js
:SESSION_MANAGER=local/unix:@/tmp/.ICE-unix/1265,unix/unix:/tmp/.ICE-unix/1265
:USERNAME=stijn
:GIO_LAUNCHED_DESKTOP_FILE=/usr/share/applications/gnome-documents.desktop
:MAIL=/var/spool/mail/stijn
:PATH=/usr/lib64/ccache:/usr/local/bin:/usr/bin:/bin:/home/stijn/bin:/usr/local/sbin:/usr/sbin
:DESKTOP_SESSION=gnome
:QT_IM_MODULE=xim
:PWD=/home/stijn
:XMODIFIERS=@im=none
:GNOME_KEYRING_PID=1263
:LANG=en_US.UTF-8
:GDMSESSION=gnome
:HISTCONTROL=ignoredups
:XDG_SEAT=seat0
:HOME=/home/stijn
:SHLVL=1
:GNOME_DESKTOP_SESSION_ID=this-is-deprecated
:LOGNAME=stijn
:CVS_RSH=ssh
:DBUS_SESSION_BUS_ADDRESS=unix:abstract=/tmp/dbus-ZCA5TJLR4E,guid=770e9127e09718190a92e39400000015
:'LESSOPEN=||/usr/bin/lesspipe.sh %s'
:WINDOWPATH=1
:GI_TYPELIB_PATH=/usr/lib64/gnome-documents/girepository-1.0
:XDG_RUNTIME_DIR=/run/user/stijn
:DISPLAY=:0
:CCACHE_HASHDIR=
:XAUTHORITY=/var/run/gdm/auth-for-stijn-mxK1Zx/database
:_=/usr/bin/gjs-console

limits:
:Limit                     Soft Limit           Hard Limit           Units     
:Max cpu time              unlimited            unlimited            seconds   
:Max file size             unlimited            unlimited            bytes     
:Max data size             unlimited            unlimited            bytes     
:Max stack size            8388608              unlimited            bytes     
:Max core file size        0                    unlimited            bytes     
:Max resident set          unlimited            unlimited            bytes     
:Max processes             1024                 30978                processes 
:Max open files            1024                 4096                 files     
:Max locked memory         65536                65536                bytes     
:Max address space         unlimited            unlimited            bytes     
:Max file locks            unlimited            unlimited            locks     
:Max pending signals       30978                30978                signals   
:Max msgqueue size         819200               819200               bytes     
:Max nice priority         0                    0                    
:Max realtime priority     0                    0                    
:Max realtime timeout      unlimited            unlimited            us        

open_fds:
:0:/dev/null
:pos:	0
:flags:	0100000
:1:/home/stijn/.xsession-errors
:pos:	13868
:flags:	0102002
:2:/home/stijn/.xsession-errors
:pos:	13868
:flags:	0102002
:3:anon_inode:[eventfd]
:pos:	0
:flags:	02004002
:4:anon_inode:[eventfd]
:pos:	0
:flags:	02004002
:5:socket:[813647]
:pos:	0
:flags:	02004002
:6:anon_inode:[eventfd]
:pos:	0
:flags:	02004002
:7:socket:[815571]
:pos:	0
:flags:	02004002
:8:anon_inode:[eventfd]
:pos:	0
:flags:	02004002
:9:socket:[815587]
:pos:	0
:flags:	02004002
:10:/dev/dri/card0
:pos:	0
:flags:	0100002
:11:/home/stijn/.cache/tracker/meta.db
:pos:	780288
:flags:	02100000
:12:/home/stijn/.cache/tracker/meta.db-wal
:pos:	268320
:flags:	02100002
:13:/home/stijn/.cache/tracker/meta.db-shm
:pos:	0
:flags:	0100002
:14:anon_inode:inotify
:pos:	0
:flags:	02004000
:15:socket:[814683]
:pos:	0
:flags:	02004002
:16:/tmp/ffi9XEM0w (deleted)
:pos:	0
:flags:	0100002
:17:/dev/urandom
:pos:	0
:flags:	02100000
:18:/dev/urandom
:pos:	0
:flags:	02100000
:19:socket:[817169]
:pos:	0
:flags:	02000002
:20:socket:[819263]
:pos:	0
:flags:	02004002
:21:anon_inode:[eventfd]
:pos:	0
:flags:	02004002
:22:socket:[818204]
:pos:	0
:flags:	02
:23:socket:[818205]
:pos:	0
:flags:	02004002
:24:socket:[828817]
:pos:	0
:flags:	02004002
:25:/home/stijn/.cache/gnome-documents/gnome-documents-1130588716.pdf
:pos:	4096
:flags:	0100000

var_log_messages:
:May 25 20:57:33 tangaloor kernel: [ 3965.028656] gjs-console[3601]: segfault at 7ffbe2394350 ip 00000037839f35d4 sp 00007ffbe2394350 error 6 in libgtk-3.so.0.400.3[3783800000+472000]
:May 25 20:57:34 tangaloor abrt[3643]: Saved core dump of pid 3601 (/usr/bin/gjs-console) to /var/spool/abrt/ccpp-2012-05-25-20:57:33-3601 (117268480 bytes)
Comment 1 Stijn Hoop 2012-05-25 15:00:37 EDT
Created attachment 586920 [details]
File: core_backtrace
Comment 2 Stijn Hoop 2012-05-25 15:00:39 EDT
Created attachment 586921 [details]
File: backtrace
Comment 3 Stijn Hoop 2012-05-25 15:00:41 EDT
Created attachment 586922 [details]
File: maps
Comment 4 Stijn Hoop 2012-05-25 15:00:44 EDT
Created attachment 586923 [details]
File: dso_list
Comment 5 Stijn Hoop 2012-05-25 15:00:51 EDT
Created attachment 586924 [details]
File: build_ids
Comment 6 Kevin R. Porter 2012-05-29 21:23:34 EDT
(1)	Start "documents" -> it comes up as a full screen showing a grid of icons, one for each 
	of my Google Document's files.
(2)	Double-click on any of the document icons. -> Boom! Signal-11 (SIGSEGV)

Note: the documents I have in Google Docs are all spreadsheets.


backtrace_rating: 4
Package: gjs-1.32.0-1.fc17
OS Release: Fedora release 17 (Beefy Miracle)
Comment 7 Roman Melihhov 2012-05-30 02:28:06 EDT
working with documents

backtrace_rating: 4
Package: gjs-1.32.0-1.fc17
OS Release: Fedora release 17 (Beefy Miracle)
Comment 8 Luis Elizondo 2012-05-31 18:19:47 EDT
I opened the documents application and when I clicked on a open document format icon the error shows up

backtrace_rating: 4
Package: gjs-1.32.0-1.fc17
OS Release: Fedora release 17 (Beefy Miracle)
Comment 9 Peter 2012-06-01 11:12:35 EDT
preconditons: 
- almost fresh fedora system (all i did was installing google chrome) 

actions:
- running sudoku (gnome) 
- Tab "Game" -> Tab "Print Multiple Puzzles" 
- Press print -> Print to file -> Print 
- Now press on activities and then select documents
- select the file output.pdf 

obserevd:
now i window apperas and this crahshes 

Notes:
- system  up to date
- output.pdf is the only and first  file in Documents 
- No Crash if open output.pdf with the pdf viewer delivered with fedora 
- this issue is reproducible 


backtrace_rating: 4
Package: gjs-1.32.0-1.fc17
OS Release: Fedora release 17 (Beefy Miracle)
Comment 10 mariolinux 2012-06-01 13:24:52 EDT
1. Open the gnome-documents application
2. Click on a thumbnail


backtrace_rating: 4
Package: gjs-1.32.0-1.fc17
OS Release: Fedora release 17 (Beefy Miracle)
Comment 11 Alon Levy 2012-06-03 15:11:50 EDT
gnome-document crashed when opening a document from my google documents. It's not starting right now so I can't verify what the document was (I was clicking randomly). There is a high probability the document contained hebrew.

looking at the stack trace it's poppler's fault, and poppler's hebrew support is not that good, maybe related.


backtrace_rating: 4
Package: gjs-1.32.0-1.fc17
OS Release: Fedora release 17 (Beefy Miracle)
Comment 12 Alon Levy 2012-06-08 06:13:17 EDT
I have just opened an open office presentation.

backtrace_rating: 4
Package: gjs-1.32.0-1.fc17
OS Release: Fedora release 17 (Beefy Miracle)
Comment 13 jj424 2012-06-09 21:23:14 EDT
I tried to launch a google spreadsheet from Documents

backtrace_rating: 4
Package: gjs-1.32.0-1.fc17
OS Release: Fedora release 17 (Beefy Miracle)
Comment 14 hellojoker 2012-06-20 11:23:37 EDT
1)Open gnome documents
2) Open a document
3) Click on full screen 


backtrace_rating: 4
Package: gjs-1.32.0-1.fc17
OS Release: Fedora release 17 (Beefy Miracle)
Comment 15 Mark Harfouche 2013-01-27 21:01:09 EST
I scrolled in gnome documents, it crashed :P.
Comment 16 Fedora End Of Life 2013-07-04 00:17:45 EDT
This message is a reminder that Fedora 17 is nearing its end of life.
Approximately 4 (four) weeks from now Fedora will stop maintaining
and issuing updates for Fedora 17. It is Fedora's policy to close all
bug reports from releases that are no longer maintained. At that time
this bug will be closed as WONTFIX if it remains open with a Fedora 
'version' of '17'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version' 
to a later Fedora version prior to Fedora 17's end of life.

Bug Reporter:  Thank you for reporting this issue and we are sorry that 
we may not be able to fix it before Fedora 17 is end of life. If you 
would still like  to see this bug fixed and are able to reproduce it 
against a later version  of Fedora, you are encouraged  change the 
'version' to a later Fedora version prior to Fedora 17's end of life.

Although we aim to fix as many bugs as possible during every release's 
lifetime, sometimes those efforts are overtaken by events. Often a 
more recent Fedora release includes newer upstream software that fixes 
bugs or makes them obsolete.
Comment 17 Fedora End Of Life 2013-08-01 09:07:22 EDT
Fedora 17 changed to end-of-life (EOL) status on 2013-07-30. Fedora 17 is 
no longer maintained, which means that it will not receive any further 
security or bug fix updates. As a result we are closing this bug.

If you can reproduce this bug against a currently maintained version of 
Fedora please feel free to reopen this bug against that version.

Thank you for reporting this bug and we are sorry it could not be fixed.

Note You need to log in before you can comment on or make changes to this bug.